

Param.showFigures = 0;



Param.IMWIDTH = 1600;
Param.IMHEIGHT = 1200;

Param.IMGDIR='/scratch_net/biwidl105/dhollosi/RawData/dirac.uni-oldenburg.de/DIRAC/29_27Jul2010_KAS_Elementary_Configuration/scene_28_SG_take_a/images_right/unbayer';

Param.RESULTDIR = '/scratch_net/biwidl105/dhollosi/RawData/dirac.uni-oldenburg.de/DIRAC/29_27Jul2010_KAS_Elementary_Configuration/scene_28_SG_take_a/images_right/results';

Param.FMT = '.png';

Param.imset = '00';

Param.generateSilProb = 0;

Param.NB_SAMPLES = 2500;      %800


Param.NB_FRAMES=120;     % number of frames wher a person is visible
Param.IMGOFFSET=130;    % this is really the file name, not an offset


Param.PIXHUMANMIN = 3000;
Param.PIXHUMANMAX = 35000;  %30000
Param.PIXNOISEMAX = 150;

Param.bgEstim = [96 100]; % background estimation (idealz w/ a person in the picture ) 

Param.FEATWIDTH = 30;
Param.FEATHEIGHT = [40 40 12 20 20];  % depending on nModel
Param.NUMFEAT = 1200;

Param.step = [4 1];

%background subtraction
Param.alpha1 = 0.67;
Param.alpha2 = 1.12;
Param.thY1 = 15;  %18
Param.thY2 = 10;  %14
Param.thU = 5;
Param.thV = 4;

%initialize samples + weights

left = 0;    %entry from left, DANILO scenes. in front of loudspeaker

if left
% original
    Param.initSample(1,:,1)=[300 690 280 -15 -10 -10];  %initial samples model 1
    Param.initSample(1,:,2)=[300 690 280 -15 -10 -10];  %initial samples model 2
    Param.initSample(1,:,3)=[300 610 100 -15 -10 -10];  %initial samples model 2 (head)
    Param.initSample(1,:,4)=[300 630 140 -15 -10 -10];  %initial samples model 5 (up)
    Param.initSample(1,:,5)=[300 740 140 -15 -10 -10];  %initial samples model 6 (low)
    Param.initSample(1,:,6)=[300 690 280 -15 -10 -10];  %initial samples model 1
        
    Param.cstRoi = [350 520 150 500];

else  %entry from right in front of heating
    Param.initSample(1,:,1)=[1330 700 300 -15 -10 -10];  %initial samples model 1    format: [centerx centery height]
    Param.initSample(1,:,2)=[1330 700 300 -15 -10 -10];  %initial samples model 2
    Param.initSample(1,:,3)=[1330 600 120 -15 -10 -10];  %initial samples model 2 (head)
    Param.initSample(1,:,4)=[1330 640 150 -15 -10 -10];  %initial samples model 5 (up)
    Param.initSample(1,:,5)=[1330 770 150 -15 -10 -10];  %initial samples model 6 (low)
    Param.initSample(1,:,6)=[1330 700 300 -15 -10 -10];  %initial samples model 1

    Param.cstRoi = [1250 550 150 300];   %format: [leftupperx leftuppery width height]
end
%% PARTICLE FILTER NOISE PARAMETERS

%part1
%depends on nModel

Param.pfn(1,1,:) = [20 9 7 2 2 2];
Param.pfn(2,1,:) = [20 9 7 2 2 2];
Param.pfn(3,1,:) = [20 9 7 2 2 2];
Param.pfn(4,1,:) = [20 9 7 2 2 2];
Param.pfn(5,1,:) = [20 9 7 2 2 2];
Param.pfn(6,1,:) = [20 9 10 15 15 15];
%part2
%depends on model
Param.pfn(1,2,:) = [15 5 8 15 15 15];
Param.pfn(2,2,:) = [15 5 10 20 20 20];
Param.pfn(3,2,:) = [15 10 6 10 10 10];
Param.pfn(4,2,:) = [15 10 6 15 15 15];
Param.pfn(5,2,:) = [15 8 6 20 20 20];
Param.pfn(6,2,:) = [15 8 12 32 20 20];


% 